> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.anzi.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# List licenses

> Returns the operational licenses for your organization.

The response contains one or more licenses tied to your organization.


## OpenAPI

````yaml /openapi.yaml get /licenses/all
openapi: 3.0.3
info:
  title: Anzi Backend API
  version: 1.0.0
  description: |
    API reference for Anzi. This spec is scoped to the Organizations module.
servers:
  - url: https://sandbox-api.anzi.finance/v1
    description: Sanbox
  - url: https://api.anzi.finance/v1
    description: Production
security: []
tags:
  - name: Licenses
    description: Operational licenses
  - name: Users
    description: Manage users and API keys
  - name: Claims
    description: Manage claims
paths:
  /licenses/all:
    get:
      tags:
        - Licenses
      summary: List licenses
      description: Returns the operational licenses for your organization.
      responses:
        '200':
          description: List of licenses
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/License'
              examples:
                example:
                  value:
                    - uid: LIC-0001-XYZ
                      tokenId: '123456'
                      accountingEmails:
                        - accounting@client.com
                        - billing@client.com
                      active: true
                      administrationFee: 0
                      adminEmails:
                        - admin@client.com
                      billCycle: P1M
                      coveragePercentage: 50
                      daysForGuaranteesDueDate: 365
                      historicPremiums: 120000
                      installmentStrategy: INSTALLMENT_COUNT
                      installmentsEnabled: true
                      isPremiumDefinedByClient: true
                      isVariablePremium: true
                      lastPortfolioUpdateDate: '2025-09-01T12:00:00.000Z'
                      lastRevision: '2025-08-15T00:00:00.000Z'
                      maximumCoverage: 50000
                      maximumLoanAmount: 15000
                      maximumLoanTerm: P18M
                      maximumPremium: 5
                      minimumDaysToDeclareDefault: 190
                      minimumLoanAmount: 1000
                      minimumLoanTerm: P1M
                      minimumPremium: 2.5
                      name: Operative License A
                      portfolioCoverageCap: 2000000
                      portfolioCoverageUsed: 750000
                      premium: 3.5
                      taxRate: 0.19
                      timezone: America/Bogota
                      type: 0
                      validityPeriod: P6M
        '401':
          description: Unauthorized (invalid API key)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  value:
                    code: AUTH_2
                    message: Unauthorized
      security:
        - apiKeyAuth: []
components:
  schemas:
    License:
      type: object
      properties:
        uid:
          type: string
          description: Unique identifier of the license.
        tokenId:
          type: string
          description: Identifier for NFT associated to the license.
        accountingEmails:
          type: array
          minItems: 1
          items:
            type: string
            format: email
        active:
          type: boolean
          description: Indicates if the license is active or not.
        administrationFee:
          type: number
          description: >-
            Amount of the administration fee to be paid over the reserve fund,
            only valid for FIRST LOSS licenses (license.type = FIRST_LOSS).
        adminEmails:
          type: array
          minItems: 1
          items:
            type: string
            format: email
          description: >-
            Administrative email recipients for license
            operations/notifications.
        billCycle:
          type: string
          description: ISO 8601 duration for billing cycle (e.g., P1M).
        coveragePercentage:
          type: number
          description: >-
            For Surety licenses only (license.type = SURETY). This represents
            the maximum percentage that Anzi will cover for each loan.
        daysForGuaranteesDueDate:
          type: number
          description: >-
            The number of days after the surety.loanPaymentDueDate, during which
            the surety will still be valid.
        historicPremiums:
          type: number
          description: Accumulated premium history amount.
        installmentStrategy:
          type: string
          nullable: true
          enum:
            - INSTALLMENT_COUNT
            - INSTALLMENT_AMOUNT
          description: >
            Installments strategy used when installments are enabled.

            - INSTALLMENT_COUNT: Strategy based on the number of installments
            (cuotas).

            - INSTALLMENT_AMOUNT: Strategy based on the installment amount
            (valor de la cuota).
        installmentsEnabled:
          type: boolean
          nullable: true
          description: >-
            Indicates whether the license supports loan payments in
            installments.
        isPremiumDefinedByClient:
          type: boolean
          description: >-
            Indicates if the premium must be defined by the client when a
            guarantee is being created.
        isVariablePremium:
          type: boolean
          description: Indicates if the premium is variable.
        lastPortfolioUpdateDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            Timestamp of the last update sent to Anzi regarding the status of
            the portfolio loans.
        lastRevision:
          type: string
          format: date-time
          description: >-
            ISO 8601 Date. Date of the last review of license configurations by
            the Anzi team.
        maximumCoverage:
          type: number
          description: >-
            For Surety licenses only (license.type = SURETY). Maximum loan
            amount that can be covered by an Anzi guarantee.
        maximumLoanAmount:
          type: number
          description: Maximum loan amount to be covered by Anzi.
        maximumLoanTerm:
          type: string
          description: Maximum duration of a loan in ISO 8601 duration format.
        maximumPremium:
          type: number
          description: >-
            Maximum premium amount to be paid for coverage concept, only valid
            if license.isVariablePremium is true.
        minimumDaysToDeclareDefault:
          type: number
          description: >-
            The number of days that must elapse since the last payment to
            declare a default.
        minimumLoanAmount:
          type: number
          description: Minimum loan amount to be covered by Anzi.
        minimumLoanTerm:
          type: string
          description: Minimum duration of a loan in ISO 8601 duration format.
        minimumPremium:
          type: number
          description: >-
            Minimum premium amount to be paid for coverage concept, only valid
            if license.isVariablePremium is true.
        name:
          type: string
        portfolioCoverageCap:
          type: number
          description: >-
            For Surety licenses only (license.type = SURETY). Maximum total
            portfolio to be covered by this license.
        portfolioCoverageUsed:
          type: number
          description: >-
            For Surety licenses only (license.type = SURETY). Total value of the
            loans covered under this license., representing what has been spent
            from the authorized portfolio coverage cap on this license.
        premium:
          type: number
          description: >-
            Percentage of the borrowed capital representing the premium to be
            paid.
        taxRate:
          type: number
          description: Tax rate to be applied to the premium amount.
        timezone:
          type: string
          description: >-
            Reference to the location from which the time zone should be taken
            for license management.
        type:
          type: integer
          enum:
            - 0
            - 1
          description: 0 = SURETY, 1 = FIRST_LOSS
        validityPeriod:
          type: string
          description: >-
            ISO 8601 duration. Validity period granted to the license since the
            last revision.
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````